# draugr.numpy_utilities.datasets.categorical.flat_category.build_flat_dataset

draugr.numpy_utilities.datasets.categorical.flat_category.build_flat_dataset(directory: Union [ Path , str ], *, validation_percentage: float = 15, testing_percentage: float = 0, extensions: Optional [ Iterable ] = None, is_valid_file: Optional [callable] = None) → dict

  > param validation_percentage

  > param testing_percentage

  Parameters

    - directory –

    - extensions –

    - is_valid_file –

  Returns